
Figure - Bug #119037
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT3】【任务管理器】【偶现】不断切换小窗和应用进程卡片，点击recent中的设置，设置十秒之
后才打开
2023-07-13 16:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-13

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C106(X106).202307130040.zip

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version: 2023-08-04

Test Type: ST Root cause: 编码问题

Description

【测试版本】

01.00.C106.202307130040

【测试步骤】

1、打开小窗

2、打开设置

3、进入recent

4、切换小窗和应用进程卡片

-> 在某一次点击设置的时候，设置十秒之后才打开

History

#1 - 2023-08-03 14:31 - CD APP-王宏

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

//点击

07-13 02:22:12.696  2623  2623 D ViewTouchDebug: mView : DecorView@6ba99c2[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=1379.0, y0=388.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=6520228, downTime=6520104, deviceId=2, source=0x5002, displayId=0, eventId=244328856 }

//Settings进入前台

07-13 02:22:12.706  1594 17681 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.android.settings.homepage.SettingsHomepageActivity

//点击

07-13 02:22:27.788  2623  2623 D ViewTouchDebug: mView : DecorView@6ba99c2[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=1359.0, y0=354.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=6535320, downTime=6535236, deviceId=2, source=0x5002, displayId=0, eventId=431748720 }

//Settings进入前台

07-13 02:22:27.794  1594 12407 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.android.settings.homepage.SettingsHomepageActivity

根据日志分析，02：22的日志都是正常的，在点击之后，Settings被带到前台，中间间隔不足一秒。
既然如此，那就只能是远程动画的问题，动画执行慢了。

由于存在小窗情况下，会生成小窗缩略图，会调用startRecentsActivity(),和点击Settings调用的是同一个方法。

这笔提交对该方法的调用做了优化，保证了进入之后recent只会调用一次，不会频繁调用。

对该现象可以说是一个优化，后续再跟几个版本，看看是否还会出现

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/213456

#2 - 2023-08-03 17:11 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-08-04

- Root cause set to 编码问题

#3 - 2023-08-31 16:10 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#4 - 2023-10-08 10:01 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

0138之后的版本仅在满内存的时候会出现卡顿，关闭

#5 - 2023-10-08 10:01 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

20230713-162135.mp4 3.19 MB 2023-07-13 CD TEST-方永红

1555.txt 5.24 MB 2023-07-13 CD TEST-方永红

tlog_iov0201017500006162025411a2212290000002171_000245_0713023628.tar.gz48.3 MB 2023-07-13 CD TEST-方永红
